=== debian/changelog ===
primesieve (7.3+ds-1) unstable; urgency=medium

  * New upstream minor release.
  * Debianization:
    - debian/{copyright,adhoc/c{,pp}/Makefile}:
      - Copyright year tuple, update;
    - debian/control:
      - Standards Version, bump to 4.3.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 17 Jan 2019 14:39:34 +0000

primesieve (7.2+ds-1) unstable; urgency=medium

  * New upstream minor release.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 31 Oct 2018 03:11:41 +0000

primesieve (7.1+ds-1) unstable; urgency=medium

  * New upstream minor release.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 4.2.1 (no change);
    - debian/tests/*:
      - d/t/make-check-dev , update;
    - debian/clean , refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 22 Sep 2018 14:56:54 +0000
