=== debian/changelog ===
primesieve (7.4+ds-2ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable, remaining changes:
    + Allow stderr output in autopkgtests for GCC warnings on armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Aug 2019 12:06:26 +0000

primesieve (7.4+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 4.4.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 16 Aug 2019 05:53:41 +0000

primesieve (7.4+ds-1) experimental; urgency=medium

  * New upstream minor release.
  * Debianization:
    - debian/tests/*:
      - d/t/control, add self-test check;
    - debian/control:
      - Build-Depends, migrate to debhelper-compat (=12);
    - debian/compat, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Apr 2019 06:02:10 +0000

primesieve (7.3+ds-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable, remaining changes:
    + Allow stderr output in autopkgtests for GCC warnings on armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 18 Jan 2019 12:19:57 +0000

primesieve (7.2+ds-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable, remaining changes:
    + Allow stderr output in autopkgtests for GCC warnings on armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 12 Nov 2018 10:04:06 +0000
