=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: primesieve
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Section: math
 Priority: optional
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (=12),
  cmake, help2man
 Build-Depends-Indep:
  doxygen, doxygen-latex, graphviz,
  rdfind, symlinks
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/science-team/primesieve.git
 Vcs-Browser: https://salsa.debian.org/science-team/primesieve
 Homepage: https://primesieve.org/
