=== debian/changelog ===
primesieve (7.5+ds-4) unstable; urgency=medium

  * Team upload
  * Allow stderr output in autopkgtests for GCC warnings on armhf

 -- Graham Inggs <ginggs@debian.org>  Sun, 04 Oct 2020 12:44:03 +0000

primesieve (7.5+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Build-Depends, add xmlto.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 30 Dec 2019 20:22:15 +0000

primesieve (7.5+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Build-Depends, replace asciidoc with asciidoc-base.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 30 Dec 2019 16:45:54 +0000

primesieve (7.5+ds-1) unstable; urgency=medium

  * New upstream minor release.
  * Debianization:
    - debian/copyright:
      - Source field, migrate to github upstream page;
    - debian/control:
      - Standards Version, bump to 4.4.1 (no change);
      - Build-Depends, replace help2man with asciidoc;
      - Homepage field, migrate to github upstream page;
    - debian/tests/*:
      - d/t/{make-check-{bin,dev},build-examples}, now use AUTOPKGTEST_TMP;
      - d/t/make-check-dev, refresh;
    - debian/rules:
      - override_dh_auto_configure target, add BUILD_MANPAGE=ON option;
    - debian/primesieve-doc.docs, add doc/ALGORITHMS.md

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 30 Dec 2019 13:58:13 +0000
