=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: primesieve
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Section: math
 Priority: optional
 Build-Depends:
  debhelper-compat (=12),
- cmake, help2man
+ cmake,
+ asciidoc-base, xmlto
 Build-Depends-Indep:
  doxygen, doxygen-latex, graphviz,
  rdfind, symlinks
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/science-team/primesieve.git
 Vcs-Browser: https://salsa.debian.org/science-team/primesieve
-Homepage: https://primesieve.org/
+Homepage: https://github.com/kimwalisch/primesieve
 
 Package: primesieve
 Architecture: any
