=== debian/changelog ===
primesieve (7.6+ds-1) unstable; urgency=medium

  * New upstream minor release.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
      - copyright year tuple, update;
      - gui Files section, discard;
      - Debian License, migrate to BSD-2-clause;
    - d/control:
      - Rules-Requires-Root, introduce and set to no;
      - Standards-Version, bump to 4.5.1 (no change);
      - multiarch medata, fix;
    - d/primesieve-doc.docs, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 19 Jan 2021 19:08:44 +0000
