=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Section: math
 Priority: optional
+Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (=12),
  cmake,
@@ -10,13 +11,14 @@
 Build-Depends-Indep:
  doxygen, doxygen-latex, graphviz,
  rdfind, symlinks
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/science-team/primesieve.git
 Vcs-Browser: https://salsa.debian.org/science-team/primesieve
 Homepage: https://github.com/kimwalisch/primesieve
 
 Package: primesieve
-Architecture: any
+Architecture: all
+Multi-Arch: foreign
 Depends: primesieve-bin, ${misc:Depends}
 Description: fast prime number generator C/C++ library
  primesieve is a free software program and C/C++ library that generates
