=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,8 @@
 	dh_auto_configure -- \
 		-DBUILD_TESTS=ON \
 		-DBUILD_EXAMPLES=ON \
-		-DBUILD_DOC=ON
+		-DBUILD_DOC=ON \
+		-DBUILD_MANPAGE=ON
 
 override_dh_auto_build-indep: README.implementation.md
 	$(MAKE) -f debian/adhoc/Makefile doc
