## primesieve 7.8%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: primesieve
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Section: math
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (=12),
+ debhelper-compat (=13),
  cmake,
  asciidoc-base, xmlto
 Build-Depends-Indep:
  doxygen, doxygen-latex, graphviz,
  rdfind, symlinks
-Standards-Version: 4.5.1
-Vcs-Git: https://salsa.debian.org/science-team/primesieve.git
-Vcs-Browser: https://salsa.debian.org/science-team/primesieve
+Standards-Version: 4.6.0
+Vcs-Git: https://salsa.debian.org/math-team/primesieve.git
+Vcs-Browser: https://salsa.debian.org/math-team/primesieve
 Homepage: https://github.com/kimwalisch/primesieve
 
 Package: primesieve
