## primesieve 7.8+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.4...3.19)
 project(primesieve CXX)
-set(PRIMESIEVE_VERSION "7.6")
-set(PRIMESIEVE_SOVERSION "9.6.0")
+set(PRIMESIEVE_VERSION "7.8")
+set(PRIMESIEVE_SOVERSION "9.8.0")
 
 # Build options ######################################################
 
@@ -12,6 +12,10 @@
 option(BUILD_MANPAGE     "Regenerate man page using a2x" OFF)
 option(BUILD_EXAMPLES    "Build example programs"        OFF)
 option(BUILD_TESTS       "Build test programs"           OFF)
+
+option(WITH_MSVC_CRT_STATIC "Link primesieve.lib with /MT instead of the default /MD" OFF)
+
+# libprimesieve sanity check #########################################
 
 if(NOT BUILD_SHARED_LIBS AND NOT BUILD_STATIC_LIBS)
     message(FATAL_ERROR "One or both of BUILD_SHARED_LIBS or BUILD_STATIC_LIBS must be set to ON")
@@ -171,6 +175,10 @@
     set_target_properties(libprimesieve-static PROPERTIES OUTPUT_NAME primesieve)
     target_link_libraries(libprimesieve-static PRIVATE Threads::Threads ${LIBATOMIC})
 
+    if(WITH_MSVC_CRT_STATIC)
+        set_target_properties(libprimesieve-static PROPERTIES MSVC_RUNTIME_LIBRARY "MultiThreaded")
+    endif()
+
     if(TARGET libprimesieve)
         add_dependencies(libprimesieve-static libprimesieve)
     endif()
@@ -223,6 +231,10 @@
     target_compile_features(primesieve PRIVATE cxx_auto_type)
     install(TARGETS primesieve DESTINATION ${CMAKE_INSTALL_BINDIR})
 
+    if(WITH_MSVC_CRT_STATIC)
+        set_target_properties(primesieve PROPERTIES MSVC_RUNTIME_LIBRARY "MultiThreaded")
+    endif()
+
     if(TARGET libprimesieve-static)
         add_dependencies(primesieve libprimesieve-static)
     endif()
