=== debian/changelog ===
primesieve (7.8+ds-1) unstable; urgency=medium

  * New upstream minor release.
  * Debinization:
    - d/control, migration to Debian Math Team group;
    - d/copyright:
      - copyright year tuples, update;
    - d/adhoc/examples/*/Makefile, refresh;
    - d/t/make-check-bin, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 05 Feb 2022 11:20:07 +0000

primesieve (7.7+ds-1) unstable; urgency=medium

  * New upstream minor release.
  * Debianization:
    - d/control:
      - debhelper, bump to 13;
    - d/upstream/metadata, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 11 Dec 2021 14:51:52 +0000

primesieve (7.6+ds-4) unstable; urgency=medium

  * Debianization:
    - d/libprimesieve-dev.install, now install cmake material (thanks to
      Julien Schueller for noticing);
    - d/control:
      - Standards-Version, bump to 4.6.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 11 Oct 2021 11:01:23 +0000

primesieve (7.6+ds-3) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 29 Aug 2021 15:33:56 +0000

primesieve (7.6+ds-2) experimental; urgency=medium

  * Debianization
    - d/watch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 20 Jun 2021 11:49:35 +0000
