## primesieve 8.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required(VERSION 3.4...3.19)
+cmake_minimum_required(VERSION 3.4...3.22)
 project(primesieve CXX)
-set(PRIMESIEVE_VERSION "7.8")
-set(PRIMESIEVE_SOVERSION "9.8.0")
+set(PRIMESIEVE_VERSION "8.0")
+set(PRIMESIEVE_SOVERSION "10.0.0")
 
 # Build options ######################################################
 
@@ -13,6 +13,7 @@
 option(BUILD_EXAMPLES    "Build example programs"        OFF)
 option(BUILD_TESTS       "Build test programs"           OFF)
 
+option(WITH_MULTIARCH       "Enable runtime dispatching to fastest supported CPU instruction set" ON)
 option(WITH_MSVC_CRT_STATIC "Link primesieve.lib with /MT instead of the default /MD" OFF)
 
 # libprimesieve sanity check #########################################
@@ -45,6 +46,7 @@
 
 set(LIB_SRC src/api-c.cpp
             src/api.cpp
+            src/CountPrintPrimes.cpp
             src/CpuInfo.cpp
             src/Erat.cpp
             src/EratSmall.cpp
@@ -60,15 +62,12 @@
             src/ParallelSieve.cpp
             src/popcount.cpp
             src/PreSieve.cpp
-            src/PrintPrimes.cpp
             src/PrimeSieve.cpp
             src/SievingPrimes.cpp)
 
 # Required includes ##################################################
 
 include(GNUInstallDirs)
-include(CMakePushCheckState)
-include(CheckCXXSourceCompiles)
 include(CMakePackageConfigHelpers)
 
 # MSVC DLL support (Windows) #########################################
@@ -81,50 +80,16 @@
     endif()
 endif()
 
-# Check if libatomic is needed #######################################
-
-cmake_push_check_state()
-
-if(CMAKE_CXX11_STANDARD_COMPILE_OPTION)
-    set(CMAKE_REQUIRED_FLAGS ${CMAKE_CXX11_STANDARD_COMPILE_OPTION})
-endif()
-
-check_cxx_source_compiles("
-    #include <atomic>
-    #include <stdint.h>
-    int main() {
-        std::atomic<int64_t> x;
-        x = 1;
-        x--;
-        return (int) x;
-    }"
-    atomic64)
-
-if(NOT atomic64)
-    find_library(ATOMIC NAMES atomic libatomic.so.1)
-
-    if(ATOMIC)
-        set(LIBATOMIC ${ATOMIC})
-        message(STATUS "Found libatomic: ${LIBATOMIC}")
-    else()
-        check_cxx_source_compiles("
-            #include <atomic>
-            #include <stdint.h>
-            int main() {
-                std::atomic<int32_t> x;
-                x = 1;
-                x--;
-                return (int) x;
-            }"
-            atomic32)
-
-        if(atomic32)
-            message(FATAL_ERROR "Failed to find libatomic!")
-        endif()
-    endif()
-endif()
-
-cmake_pop_check_state()
+# Check if libatomic is needed (old 32-bit systems) ##################
+
+include("${PROJECT_SOURCE_DIR}/cmake/libatomic.cmake")
+
+# Check if compiler supports x64 multiarch ###########################
+
+if(WITH_MULTIARCH)
+    include("${PROJECT_SOURCE_DIR}/cmake/multiarch_popcnt_bmi.cmake")
+    include("${PROJECT_SOURCE_DIR}/cmake/multiarch_avx512.cmake")
+endif()
 
 # libprimesieve (shared library) #####################################
 
@@ -139,6 +104,16 @@
     set_target_properties(libprimesieve PROPERTIES SOVERSION ${PRIMESIEVE_SOVERSION_MAJOR})
     set_target_properties(libprimesieve PROPERTIES VERSION ${PRIMESIEVE_SOVERSION})
 
+    if(multiarch_popcnt_bmi)
+        target_compile_definitions(libprimesieve PRIVATE "MULTIARCH_POPCNT_BMI")
+    endif()
+    if(multiarch_avx512)
+        target_compile_definitions(libprimesieve PRIVATE "MULTIARCH_AVX512")
+    endif()
+    if(CMAKE_BUILD_TYPE STREQUAL "Debug")
+        target_compile_definitions(libprimesieve PRIVATE "ENABLE_ASSERT")
+    endif()
+
     if(WIN32_MSVC_COMPATIBLE)
         # On Windows the shared library will be named primesieve.dll
         # and the associated import library will be named
@@ -175,6 +150,16 @@
     set_target_properties(libprimesieve-static PROPERTIES OUTPUT_NAME primesieve)
     target_link_libraries(libprimesieve-static PRIVATE Threads::Threads ${LIBATOMIC})
 
+    if(multiarch_popcnt_bmi)
+        target_compile_definitions(libprimesieve-static PRIVATE "MULTIARCH_POPCNT_BMI")
+    endif()
+    if(multiarch_avx512)
+        target_compile_definitions(libprimesieve-static PRIVATE "MULTIARCH_AVX512")
+    endif()
+    if(CMAKE_BUILD_TYPE STREQUAL "Debug")
+        target_compile_definitions(libprimesieve-static PRIVATE "ENABLE_ASSERT")
+    endif()
+
     if(WITH_MSVC_CRT_STATIC)
         set_target_properties(libprimesieve-static PROPERTIES MSVC_RUNTIME_LIBRARY "MultiThreaded")
     endif()
@@ -231,6 +216,13 @@
     target_compile_features(primesieve PRIVATE cxx_auto_type)
     install(TARGETS primesieve DESTINATION ${CMAKE_INSTALL_BINDIR})
 
+    if(multiarch_avx512)
+        target_compile_definitions(primesieve PRIVATE "MULTIARCH_AVX512")
+    endif()
+    if(CMAKE_BUILD_TYPE STREQUAL "Debug")
+        target_compile_definitions(primesieve PRIVATE "ENABLE_ASSERT")
+    endif()
+
     if(WITH_MSVC_CRT_STATIC)
         set_target_properties(primesieve PROPERTIES MSVC_RUNTIME_LIBRARY "MultiThreaded")
     endif()
