=== debian/changelog ===
primesieve (8.0+ds-2ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Allow stderr output in build-examples autopkgtest for
      GCC warnings on armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Jul 2022 08:31:23 +0000

primesieve (8.0+ds-2) unstable; urgency=medium

  * SBFR, sanitize d/control (Closes: #1014784).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 11 Jul 2022 20:38:41 +0000

primesieve (8.0+ds-1) unstable; urgency=medium

  * New upstream major release, new ABI (minor changes).
  * Debianization:
    - SONAME, bump to 10;
    - d/control:
      - Standards-Version, bump to 4.6.1 (no change);
    - d/tests:
      - d/t/make-check-dev, update;
    - d/rules, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 09 Jul 2022 10:45:42 +0000

primesieve (7.9+ds-1ubuntu1) kinetic; urgency=medium

  * Allow stderr output in build-examples autopkgtest for
    GCC warnings on armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 10 Jun 2022 13:34:11 +0000

primesieve (7.9+ds-1) unstable; urgency=medium

  * New upstream minor release.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 08 May 2022 12:04:41 +0000
