=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: primesieve
-Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Section: math
 Priority: optional
@@ -11,7 +12,7 @@
 Build-Depends-Indep:
  doxygen, doxygen-latex, graphviz,
  rdfind, symlinks
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/math-team/primesieve.git
 Vcs-Browser: https://salsa.debian.org/math-team/primesieve
 Homepage: https://github.com/kimwalisch/primesieve
@@ -29,15 +30,13 @@
  .
  This dummy package provides the standard installation.
 
-Package: libprimesieve9
+Package: libprimesieve10
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: primesieve-bin (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
-Conflicts: libprimesieve
-Provides: libprimesieve
 Description: fast prime number generator C/C++ library -- lib
  primesieve is a free software program and C/C++ library that generates
  primes using a highly optimized sieve of Eratosthenes implementation.
@@ -50,13 +49,13 @@
 Package: libprimesieve-dev
 Architecture: any
 Multi-Arch: same
+Replaces: libprimesieve7-dev
+Breaks: libprimesieve7-dev
 Section: libdevel
 Depends:
- libprimesieve9 (= ${binary:Version}), libprimesieve-dev-common (= ${source:Version}),
+ libprimesieve10 (= ${binary:Version}), libprimesieve-dev-common (= ${source:Version}),
  ${misc:Depends}
 Suggests: primesieve-doc (= ${source:Version}), pkg-config
-Conflicts: libprimesieve-dev
-Provides: libprimesieve-dev
 Description: fast prime number generator C/C++ library -- libdev
  primesieve is a free software program and C/C++ library that generates
  primes using a highly optimized sieve of Eratosthenes implementation.
@@ -75,7 +74,6 @@
 Section: libdevel
 Depends: ${misc:Depends}
 Recommends: libprimesieve-dev (= ${binary:Version})
-Provides: libprimesieve-dev-common
 Description: fast prime number generator C/C++ library -- headers
  primesieve is a free software program and C/C++ library that generates
  primes using a highly optimized sieve of Eratosthenes implementation.
