=== debian/rules ===
--- 
+++ 
@@ -17,11 +17,13 @@
 	CXXFLAGS := $(subst -O2,-O3,$(CXXFLAGS))
 endif
 
+BUILDDIR=_build
+
 default:
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --builddirectory=_build
+	dh $@ --builddirectory=$(BUILDDIR)
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -41,10 +43,10 @@
 override_dh_auto_install-indep:
 	DESTDIR=$(CURDIR)/debian/tmp $(CMAKE) \
 			-DCMAKE_INSTALL_COMPONENT=libprimesieve-headers \
-		-P _build/cmake_install.cmake
+		-P $(BUILDDIR)/cmake_install.cmake
 
 override_dh_installdocs:
-	dh_installdocs -pprimesieve-bin    --link-doc=libprimesieve9
+	dh_installdocs -pprimesieve-bin    --link-doc=libprimesieve10
 	dh_installdocs -plibprimesieve-dev --doc-main-package=libprimesieve-dev-common
 	dh_installdocs --remaining-packages
