=== debian/tests/control ===
--- 
+++ 
@@ -9,3 +9,4 @@
 
 Tests: build-examples
 Depends: primesieve-doc, libprimesieve-dev, build-essential, pkg-config
+Restrictions: allow-stderr
